documentation:
  title: Ocean heat content and related fields
  description: Diagnosis of ocean heat content and related fields
  authors:
  - unmaintained
  maintainer:
  - unmaintained
  references:
  - acknow_project
  projects:
  - esmval
preprocessors:
  prepare_hist:
    extract_time:
      start_year: 1985
      start_month: 12
      start_day: 1
      end_year: 2014
      end_month: 1
      end_day: 31
    extract_season:
      season: DJF
    climate_statistics:
      operator: mean
      period: full
    regrid:
      target_grid: 1x1
      lon_offset: false
      lat_offset: false
      scheme: linear
    extract_region:
      start_latitude: 20
      end_latitude: 90
      start_longitude: 0
      end_longitude: 359
  prepare_ssp585:
    extract_time:
      start_year: 2071
      start_month: 12
      start_day: 1
      end_year: 2100
      end_month: 1
      end_day: 31
    extract_season:
      season: DJF
    climate_statistics:
      operator: mean
      period: full
    regrid:
      target_grid: 1x1
      lon_offset: false
      lat_offset: false
      scheme: linear
    extract_region:
      start_latitude: 20
      end_latitude: 90
      start_longitude: 0
      end_longitude: 359
  default: {}
diagnostics:
  map:
    title: mixed layer depth
    description: mixed layer depth, mean and ensemble spread
    themes:
    - phys
    realms:
    - atmos
    variables:
      mlotst_hist:
        short_name: mlotst
        mip: Omon
        preprocessor: prepare_hist
        project: CMIP6
        activity: CMIP
        ensemble: r1i1p1f1
        grid: gn
        additional_datasets:
        - dataset: NorESM2-MM
          exp: hist-cloud2
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-eddy
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-iceSheet3
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-ozone
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-piAerOxid
          version: v20210521
        - dataset: NorESM2-MM
          exp: hist-snow
          version: v20230612
        - dataset: NorESM2-MM
          exp: historical
          version: v20191108
      mlotst_ssp:
        short_name: mlotst
        mip: Omon
        preprocessor: prepare_ssp585
        project: CMIP6
        activity: ScenarioMIP
        ensemble: r1i1p1f1
        grid: gn
        additional_datasets:
        - dataset: NorESM2-MM
          exp: ssp585
          version: v20230616
        - dataset: NorESM2-MM
          exp: ssp585-cloud2
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-eddy
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-iceSheet3
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-ozone
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-piAerOxid
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-snow
          version:
          - v20211028
          - v20230612
      hfls_hist:
        short_name: hfls
        mip: Amon
        preprocessor: prepare_hist
        project: CMIP6
        activity: CMIP
        ensemble: r1i1p1f1
        grid: gn
        additional_datasets:
        - dataset: NorESM2-MM
          exp: hist-cloud2
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-eddy
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-iceSheet3
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-ozone
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-piAerOxid
          version: v20210521
        - dataset: NorESM2-MM
          exp: hist-snow
          version: v20230612
        - dataset: NorESM2-MM
          exp: historical
          version: v20191108
      hfls_ssp:
        short_name: hfls
        mip: Amon
        preprocessor: prepare_ssp585
        project: CMIP6
        activity: ScenarioMIP
        ensemble: r1i1p1f1
        grid: gn
        additional_datasets:
        - dataset: NorESM2-MM
          exp: ssp585
          version: v20230616
        - dataset: NorESM2-MM
          exp: ssp585-cloud2
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-eddy
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-iceSheet3
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-ozone
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-piAerOxid
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-snow
          version: v20230612
      hfss_hist:
        short_name: hfss
        mip: Amon
        preprocessor: prepare_hist
        project: CMIP6
        activity: CMIP
        ensemble: r1i1p1f1
        grid: gn
        additional_datasets:
        - dataset: NorESM2-MM
          exp: hist-cloud2
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-eddy
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-iceSheet3
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-ozone
          version: v20230612
        - dataset: NorESM2-MM
          exp: hist-piAerOxid
          version: v20210521
        - dataset: NorESM2-MM
          exp: hist-snow
          version: v20230612
        - dataset: NorESM2-MM
          exp: historical
          version: v20191108
      hfss_ssp:
        short_name: hfss
        mip: Amon
        preprocessor: prepare_ssp585
        project: CMIP6
        activity: ScenarioMIP
        ensemble: r1i1p1f1
        grid: gn
        additional_datasets:
        - dataset: NorESM2-MM
          exp: ssp585
          version: v20230616
        - dataset: NorESM2-MM
          exp: ssp585-cloud2
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-eddy
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-iceSheet3
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-ozone
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-piAerOxid
          version: v20230612
        - dataset: NorESM2-MM
          exp: ssp585-snow
          version: v20230612
    scripts: null
datasets: []
